Loading...
Searching...
No Matches
fastjet::GridJetPlugin Class Reference
Plugins for non-native jet definitions

plugin for fastjet (v3.0 upwards) that clusters particles such that all particles in a given cell of a rectangular rapidity-phi grid end up in a common "jet". More...

`#include <fastjet/GridJetPlugin.hh>`

Inheritance diagram for fastjet::GridJetPlugin:
[legend]
Collaboration diagram for fastjet::GridJetPlugin:
[legend]

## Public Member Functions

| GridJetPlugin (double ymax, double requested_grid_spacing, const JetDefinition &post_jet_def=JetDefinition())
| Basic constructor for the GridJetPlugin Plugin class.
| GridJetPlugin (const RectangularGrid &grid, const JetDefinition &post_jet_def=JetDefinition())
| Constructor for the GridJetPlugin Plugin class that allows full control over the underlying grid.
virtual std::string | description () const
| return a textual description of the jet-definition implemented in this plugin
virtual void | run_clustering (ClusterSequence &) const
| given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:
virtual double | R () const
| This returns the sqrt(dphi*dy/pi) – i.e.
Public Member Functions inherited from fastjet::JetDefinition::Plugin
virtual bool | supports_ghosted_passive_areas () const
| return true if there is specific support for the measurement of passive areas, in the sense that areas determined from all particles below the ghost separation scale will be a passive area.
virtual void | set_ghost_separation_scale (double scale) const
| set the ghost separation scale for passive area determinations in future runs (strictly speaking that makes the routine a non const, so related internal info must be stored as a mutable)
virtual double | ghost_separation_scale () const
virtual bool | exclusive_sequence_meaningful () const
| if this returns false then a warning will be given whenever the user requests "exclusive" jets from the cluster sequence
virtual bool | is_spherical () const
| returns true if the plugin implements an algorithm intended for use on a spherical geometry (e.g.
virtual | ~Plugin ()
| a destructor to be replaced if necessary in derived classes...

## Detailed Description

plugin for fastjet (v3.0 upwards) that clusters particles such that all particles in a given cell of a rectangular rapidity-phi grid end up in a common "jet".

This is not intended for use as a regular jet clustering algorithm, but is rather provided for comparison purposes with the GridMedianBackgroundEstimator (which is even faster).

Definition at line 61 of file GridJetPlugin.hh.

## Constructor & Destructor Documentation

## GridJetPlugin() [1/2]

fastjet::GridJetPlugin::GridJetPlugin | ( | double | ymax,
|  | double | requested_grid_spacing,
|  | const JetDefinition & | post_jet_def = JetDefinition() )

Basic constructor for the GridJetPlugin Plugin class.

Parameters

  ymax | The maximal rapidity extent of the grid
  requested_grid_spacing | The requested grid spacing
  post_jet_def | if present, and not == JetDefinition() (which has undefined_jet_algorithm), then run the post_jet_def on the result of the grid clustering.

Definition at line 44 of file GridJetPlugin.cc.

## GridJetPlugin() [2/2]

fastjet::GridJetPlugin::GridJetPlugin | ( | const RectangularGrid & | grid,
|  | const JetDefinition & | post_jet_def = JetDefinition() )

Constructor for the GridJetPlugin Plugin class that allows full control over the underlying grid.

New in FastJet 3.1.

Parameters

  grid | The maximal rapidity extent of the grid
  post_jet_def | if present, and not == JetDefinition() (which has undefined_jet_algorithm), then run the post_jet_def on the result of the grid clustering.

Definition at line 60 of file GridJetPlugin.cc.

## Member Function Documentation

## description()

string fastjet::GridJetPlugin::description | ( |  | ) | const

virtual

return a textual description of the jet-definition implemented in this plugin

Implements fastjet::JetDefinition::Plugin.

Definition at line 115 of file GridJetPlugin.cc.

## run_clustering()

void fastjet::GridJetPlugin::run_clustering | ( | ClusterSequence & |  | ) | const

virtual

given a ClusterSequence that has been filled up with initial particles, the following function should fill up the rest of the ClusterSequence, using the following member functions of ClusterSequence:

- plugin_do_ij_recombination(...)
- plugin_do_iB_recombination(...)

Implements fastjet::JetDefinition::Plugin.

Definition at line 135 of file GridJetPlugin.cc.

## R()

double fastjet::GridJetPlugin::R | ( |  | ) | const

virtual

This returns the sqrt(dphi*dy/pi) – i.e.

the radius that for a circular jet would give the same area.

Implements fastjet::JetDefinition::Plugin.

Definition at line 131 of file GridJetPlugin.cc.

The documentation for this class was generated from the following files:

- plugins/GridJet/fastjet/GridJetPlugin.hh
- plugins/GridJet/GridJetPlugin.cc